* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

/* Narbar */

nav {
    position: sticky;
    display: flex;
    justify-content: space-around;
    align-items: center;
    min-height: 1vh;
    background-color: rgb(255, 255, 255, 0.9);
    font-family: "lora", sans-serif, "Mukta";
    vertical-align: middle;
    z-index: 0;
}

.sticky {
    position: fixed;
    width: 100%;
}

.content {
    padding-top: 11vh;
}

.links {
    display: flex;
    width: 40%;
    justify-content: space-around;
    list-style: none;
}

.links li {
    list-style: none;
}

.links a {
 color: black;
 font-size: 18px;
 text-decoration: none;
 letter-spacing: 1px;
 font-weight: 450;
}

.links a:hover {
    color: black;
    font-size: 18px;
    text-decoration: none;
    letter-spacing: 1px;
    font-weight: 450;
    border-bottom-style: ridge;
    border-bottom-color: rgb(14, 68, 85);
   }

.links a:active {
    border-bottom-color: rgb(14, 68, 85);
   }

   .burger div{
    width: 25px;
    height: 3px;
    background-color: rgb(14, 68, 85);
    margin: 5px;
    display: none;
    cursor: pointer;
    transition: all 0.3s ease-in;
   }

    @media screen and (max-width: 1024px){
        .links {
            width: 60%;
            }
        }
    
     @media screen and (max-width: 678px){
        * {
               overflow-x: hidden;
           }
        
        nav {
            overflow-x: visible;
        }
    
        .links {
            position:absolute;
            right: 0px;
            height: 800px;
            top:11vh;
            background-color: rgba(255, 255, 255, 0.952);
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 100%;
            transform: translateX(100%);
            transition: transform 0.5s ease-in;
            font-size: 25px;
            }
    
        .links li {
                opacity: 1;
            }
    
        .burger div{
            display: block;
        }

    .nav-active {
        transform: translateX(0%);
    }

        }

    @media screen and (max-width: 400px){
            * {
                   overflow-x: hidden;
               }
            
            nav {
                overflow-x: visible;
            }
        
            .links {
                position:absolute;
                right: 0px;
                height: 800px;
                top:10vh;
                background-color: rgba(255, 255, 255, 0.952);
                display: flex;
                flex-direction: column;
                align-items: center;
                width: 100%;
                transform: translateX(100%);
                transition: transform 0.5s ease-in;
                font-size: 25px;
                }
        
            .links li {
                    opacity: 1;
                }
        
            .burger div{
                display: block;
            }
    
        .nav-active {
            transform: translateX(0%);
        }
    
        }

    @keyframes linksFade {
    from {
        opacity: 0;
        transform: translateX(50px);
        }
    to {
        opacity: 1;
        transform: translateX(0px);
        }
    }

    .toggle .line1 {
        transform: rotate(-45deg) translate(-5px, 6px);
    }

    .toggle .line2 {
        opacity: 0;
    }

    .toggle .line3 {
        transform: rotate(45deg) translate(-5px, -6px);       
    }


/* Main */

.Servicios {
    justify-content: space-around;
    text-align: center;
    align-items: center;
    background-color: rgb(255, 255, 255);
}

.Servicios2 {
    justify-content: space-around;
    text-align: center;
    align-items: center;
    background-color: rgb(202, 199, 199);
}

.serv1 {
    justify-content: space-around;
    display: flex;
    flex: 1;
    padding: 20px;
}

.serv2 {
    justify-content: space-around;
    display: flex;
    flex: 1;
    padding: 20px;
}

figcaption {
    text-align: center;
    padding: 20px;
    font-family: 'Open Sans', sans-serif;
    font-size: 17px;
}

.Historia {
    justify-content: center;
    display: flex;
    font-size: 20px;
    color: black;
    background-color: rgb(221, 218, 218);
    height: auto;
}

.texto-histo, .txtsalva p {
    display: flex;
    flex: 1.4;
    margin: 35px;
    font-family: 'Open Sans', sans-serif;
    font-size: 15px;
    color: rgb(75, 73, 73);
    letter-spacing: 1px;
    font-weight: 250;
}

.img-histo {
    padding: 15px;
    flex: 1;
    vertical-align: middle;
    width: 100%;
}

h1, h9 {
    font-size: 24px;
    font-weight: 600;
    letter-spacing: 3px;
    color: rgb(7, 80, 109);
    font-family: 'Open Sans', sans-serif;
    padding: 35px 25px;
    }

h2 {
    font-size: 25px;
    font-weight: 600;
    letter-spacing: 3px;
    color: rgb(7, 80, 109);
    font-family: 'Open Sans', sans-serif;
    text-align: left;
    padding: 30px 10px 20px 30px;
    background-color: rgb(221, 218, 218);
    text-align: center;
    width: auto;
    }  

.mis-vis{
    justify-content: center;
    display: flex;
    font-size: 15px;
    color: black;
    background-color: rgb(221, 218, 218);
    height: 300px;
}

.mis-vis p{
    text-align: center;
    font-family: 'Open Sans', sans-serif;
    font-size: 15px;
    color: rgb(75, 73, 73);
    letter-spacing: 1px;
    font-weight: 250;
    padding: 15px;

}
.mision {
    display: block;
    flex: 1;
    text-align: center;
    align-items: center;
}

.vision {
    display: block;
    flex: 1;
    text-align: center;
}

.descrip {
    justify-content: center;
    display: flex;
    font-size: 20px;
    color: black;
    background-color: rgb(221, 218, 218);
    height: auto;
}

.img-terra {
    flex: 1;
    padding-top: 30px;
    padding: 20px;
    width: 90%;
    max-height: 90%;
    vertical-align: middle;
}

.texto-terra {
    justify-content: left;
    flex: 2;
    padding: 15px;
    font-family: 'Open Sans', sans-serif;
    font-size: 15px;
    color: rgb(75, 73, 73);
    letter-spacing: 1px;
    font-weight: 250;
}

h3, h4, h7, h8 {
    font-size: 20px;
    font-weight: 600;
    letter-spacing: 3px;
    color: rgb(7, 80, 109);
    font-family: 'Open Sans', sans-serif;
    text-align: center;
    padding: 50px 10px 10px 28px;
    }

.texto-terra p, .ventajas li {
    padding: 25px;
}


.clientes {
    text-align: center;
    height: 550px;
    margin: 100px;
    vertical-align: middle;
    justify-items: center;
}

#slider {
    overflow:hidden;
    padding: 45px;
}

#slider figure {
    position: relative;
    width: 700%;
    margin: 0px;
    left: 0;
    animation: 20s slider infinite;
}

#slider figure img {
    float: left;
    width: 14.29%;
    padding: 15px 300px 150px 300px;
    vertical-align: middle;
}

@keyframes slider {
    0% {
        left: 0;
    }
    16.66666667% {
        left: -100;
    }
    33.333333333% {
        left: -100%;
    }
    50% {
        left: -200%;
    }
    66.6666667% {
        left: -300%;
    }
    83.333333333% {
        left: -400%;
    }
    100% {
        left: -500%;
    }
}

.presentacionsalva {
    background-color: rgb(221, 218, 218);
    padding: 45px;
}

h10, h11, h12 {
    font-size: 24px;
    font-weight: 600;
    letter-spacing: 3px;
    color: rgb(7, 80, 109);
    font-family: 'Open Sans', sans-serif;
    padding: 45px 25px;
    margin: 35px;
    text-align: center;
}

.salva {
    justify-content: center;
    display: flex;
    font-size: 20px;
    color: black;
    height: auto;
    padding: 40px;
    letter-spacing: 1px;
    vertical-align: middle;
}

.txtsalva {
    flex: 1.4;
    margin: 35px;
    font-family: 'Open Sans', sans-serif;
    font-size: 15px;
    color: rgb(75, 73, 73);
    letter-spacing: 1px;
    font-weight: 250;
    padding: 40px
}

.logo-salva {
    flex: 1;
    max-width: 60%;
    padding: 10px;
}

.silla {
    background-color: rgb(185, 185, 185);
    justify-content: center;
    height: 900px;
    padding: 40px;
}

h11 {
    padding: 40px;
}

.contenido-salva {
    display: flex;
}

.silla-png {
    flex: 1;
    padding: 25px;
}

.prestaciones .iconos{
    flex: 1.5;
}

.prestaciones li {
    list-style: none;
    letter-spacing: 1px;
    font-size: 25px;
    color: rgb(82, 80, 80);
    font-family: 'Open Sans', sans-serif;
    padding: 15px;
    font-weight: 300;
}


.iconos i {
    font-size: 35px;
    color: rgb(40, 41, 41);
}


.ico1 {
    display: flex;
}


.bigmap {
    height: 500px;
    width: 100%;
    padding: 15px;
}

.direccion {
    justify-content: center;
    padding: 50px;
}

.contact-txt {
    text-align: center;
}

.contact-txt p {
    padding: 25px;
    font-size: 25px;
    font-family: 'Open Sans', sans-serif;
    color: rgb(75, 73, 73);
    letter-spacing: 1px;
    font-weight: 250;
    margin: 10px
}

.containerb {
    text-align: center;
    margin:20px;
}

.btn {
    border: 1px solid rgb(7, 80, 109);
    background: none;
    padding: 15px 25px;
    font-size: 25px;
    font-family: 'Open Sans', sans-serif;
    cursor: pointer;
    margin:15px;
    transition: 0.8s;
    position: relative;
    overflow: hidden;
}

.btn1 {
    color: rgb(7, 80, 109);
}

.btn1:hover {
    color: #fff;
}

.btn::before {
    content: "";
    position: absolute;
    left: 0;
    width: 100%;
    height: 0%;
    background: rgb(7, 80, 109);
    z-index: -1;
    transition: 0.8s;
}

.btn1::before {
    top: 0;
    border-radius: 0 0 50% 50%;
}
.btn1:hover::before {
height: 180%;
}



/* Footer */


footer {
    display: flex;
    width: 100%;
    background-color: rgb(51, 50, 50);
    align-items: center;
    vertical-align: top;
    height: 500px;
}

.link-container {
    flex: 1;
    background-color: rgb(51, 50, 50);
    height: 400px;
}

.contact {
    flex: 1;
    background-color: rgb(51, 50, 50);
    height: 400px;
}

.logo-container {
    flex: 1.5;
    background-color: rgb(51, 50, 50);
    align-content: center;
    height: 400px;
}

h5, h6 {
    color: rgb(163, 161, 161);
    font-style: normal;
    font-family: "lora", sans-serif, "Mukta";
    font-size: 23px;
    font-weight: 400;
    padding-top: 25px;
    padding-bottom: 30px;
}

.link-container ul li a{
    text-decoration: none;
    letter-spacing: 1px;
    color: rgb(163, 161, 161);
    font-style: normal;
    font-family: "lora", sans-serif, "Mukta";
    font-size: 20px;
    font-weight: 300;
}

.link-container ul li a:hover{
    left: 10px;
    text-decoration-color: rgb(163, 161, 161);
    letter-spacing: 1px;
    color: rgb(163, 161, 161);
    font-style: normal;
    font-family: "lora", sans-serif, "Mukta";
    font-size: 20px;
    font-weight: 550;
}

.link-container ul li {
    list-style: none;
    padding-bottom: 30px;
    padding-top: 15px;
}

.contact p, .contact a {
    color: rgb(163, 161, 161);
    font-style: normal;
    font-family: "lora", sans-serif, "Mukta";
    font-size: 18px;
    font-weight: 300;
    padding: 27px 27px 27px 0px;
}

.contact a {
    list-style: none;
}

.contact a:hover {
    font-weight: bold;
}

.lf1, .lf2 {
    padding-top: 50px;
    padding-bottom: 50px
}

.mapa {
    padding-left: 50px;
    padding-bottom: 15px;
}


/* Responsiveness */

@media screen and (max-width: 1024px){
    .serv1 {
        flex-direction: column;
        width: auto;
    }  
    .serv2 {
        flex-direction: column;
        width: auto;
    }  
    .Historia {
        flex-direction: column;
        align-items:center;
        width: 100%;
        margin: auto;
    }
    .img-histo{
        padding: 0px;
        text-align: center;
        max-width: 100%;
        height: 100%;
        object-fit: contain;
        object-position: center;
    }
    .mis-vis {
        flex-direction: column;
        height: 600px;
        width: auto;
    }
    .logo-container {
        flex-direction: column; 
        align-content: center;
        align-items: center;
        height: 650px;  
        width: 100%;
        padding: 30px;
    }

    footer {
        flex-direction: column;  
        width: 100%;
        align-items: center;
        vertical-align: top;
    }
    
    .link-container {
        align-items: center;
        flex-direction: column;
        height: 650px;  
        width: 100%;
        padding: 30px;
    }
    
    .contact {
        flex-direction: column;
        height: 550px;  
        width: 100%;
        padding: 30px;
    }
    .mapa {
        padding: 0px;
        margin: auto;
        align-self: center;
        width: 100%;
    }

.texto-terra {
        text-align: center;
    }

.img-terra {
    display: none;
}    

    .clientes {
        text-align: center;
        padding: 45px;
        height: 500px;
    }

    #slider {
        overflow:hidden;
        padding: 45px;
    }
    
    #slider figure {
        position: relative;
        width: 700%;
        margin: 0px;
        left: 0;
        animation: 20s slider infinite;
    }
    
    #slider figure img {
        float: left;
        width: 14.29%;
        padding: 50px;
    }

.salva {
    flex-direction: column;
    text-align: center;
    padding: 20px;
}

.logo-salva {
    display: block;
}

h11 {
    margin: 0;
    padding-bottom: 30px;
    text-align: center;
    padding: 15px;
}    
.silla {
    align-content: center;
    height: 1500px;
    text-align: center;
    margin: 0;
    padding: 0;
}   

.txtsalva {
    padding: 2px;
    margin: 0;
}

.txtsalva p {
    margin: 0;
    padding: 10px;
    width: 100%;
}


.silla-png {
padding: 0px;
margin: 0;
width: 100%;
}

.contenido-salva {
    text-align: center;
    flex-direction: column;
    align-content: center;
}    

.prestaciones li {
    list-style: none;
    letter-spacing: 1px;
    font-size: 25px;
    color: rgb(82, 80, 80);
    font-family: 'Open Sans', sans-serif;
    padding: 15px;
    font-weight: 300;
}

.iconos i {
    font-size: 30px;
    padding: 5px;
}  

    }

@media screen and (max-width: 600px){
    .serv1 {
        flex-direction: column;
        width: auto;
    }  
    .serv2 {
        flex-direction: column;
        width: auto;
    }  
    .Historia {
        flex-direction: column;
        align-items:center;  
        width: auto;
        margin: auto;
    }
    .img-histo{
        padding: 0px;
        text-align: center;
        max-width: 100%;
        height: auto;
        object-fit: contain;
        object-position: center;
    }
    .mis-vis {
        flex-direction: column;
        height: 600px;
        width: auto;
    }

    footer {
        flex-direction: column;  
        width: 100%;
        align-items: center;
        vertical-align: top;
        height: 1700px;
    }
    
    .link-container {
        align-items: center;
        flex-direction: column;
        height: 550px;    
        width: 100%;
        padding: 30px;
    }
    
    .contact {
        flex-direction: column;
        height: 520px;    
        width: 100%;
        padding: 30px;
    }
    
    .logo-container {
        flex-direction: column;
        align-content: center;
        align-items: center;
        height: 650px;  
        width: 100%;
        padding: 30px;
    }

    .mapa {
        padding: 0px;
        margin: auto;
        align-self: center;  
        width: auto;
    }

.texto-terra {
    text-align: center;
}
    .img-terra {
        display: none;
    } 

    .clientes {
        text-align: center;
        padding: 15px;
        height: 550px;
        margin: 10px;
    }

    #slider {
        overflow:hidden;
        padding: 25px;
    }
    
    #slider figure {
        position: relative;
        width: 700%;
        left: 0;
        animation: 20s slider infinite;
    }
    
    #slider figure img {
        float: left;
        width: 14.29%;
        padding: 10px;
    }   

    .salva {
        flex-direction: column;
        margin: 0;
        padding: 0;
    }

    .logo-salva {
        display: none;
    }

    .presentacionsalva {
        text-align: center;
        margin: 0;
    }

    h10 {
        align-self: center;
        margin: 0;
        padding: 2px;
    }

    h11 {
        margin: 0;
        padding-bottom: 30px;
        text-align: center;
    }    
.silla {
    align-content: center;
    height: 700px;
    text-align: center;
    margin: 0;
    padding: 20px;
    justify-items: center;
}  

.txtsalva {
    padding: 2px;
    margin: 0;
}

.txtsalva p {
    margin: 0;
    padding: 10px;
    width: 100%;
}

.silla-png {
    display: none;
}

    .contenido-salva {
        text-align: center;
        flex-direction: column;
        align-content: center;
    }    

    .prestaciones li {
        list-style: none;
        letter-spacing: 1px;
        font-size: 15px;
        color: rgb(82, 80, 80);
        font-family: 'Open Sans', sans-serif;
        padding: 9px;
        font-weight: 300;
    }

    .iconos i {
        font-size: 20px;
    }    

h12 {
    font-size: 20px;
}

    .contact-txt p {
        padding: 15px;
        font-size: 15px;
    }
}

